<?php
include "../config.php";
include "classes.php";

$condX = $_REQUEST['condX'];
$conX = $_REQUEST['conX'];
$tblX = $_REQUEST['tblX'];
$spcX = "FD_C2 = 3";
$trendStatus = $_REQUEST['trendStatus'];
$trendcondX = $_REQUEST['trendcondX'];
$forzencondX = $_REQUEST['forzencondX'];

if($conX==1)
{    
    $condX="1=1";   
}

if($trendStatus=='false')
{
    $trendsValue = [];

    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$forzencondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$forzencondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$forzencondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);

    $data['FD_C0'] = $recordCounter4->countRecords4('FD_C0', range(1,2));
    $data['FD_C2'] = $recordCounter1->countRecords1('FD_C2', array(1,2,3,4,5,6,98));
    $data['FD_C3'] = $recordCounter1->countRecords1('FD_C3', array(1,2,3,4,5,6,98));
    $data['FD_C4a'] = $recordCounter1->countRecords1('FD_C4a', array(1,2,3,99));
    $data['FD_C6'] = $recordCounter1->countRecords1('FD_C6', array(1,2,3,4,5,98,99));
    $data['FD_C7'] = $recordCounter1->countRecords1('FD_C7', range(1,2));
    $data['FD_C8'] = $recordCounter1->countRecords1('FD_C8', array(1,2,3,4,5,99));
    $data['FD_C9'] = $recordCounter1->countRecords1('FD_C9', array(1,2,3,4,5,6,7,59));
    $data['FD_C10'] = $recordCounter1->countRecords1('FD_C10', array(1,2,3,4,98));
    $data['FD_C11'] = $recordCounter2->countRecords2('FD_C11', range(1,7));
    $data['FD_C12'] = $recordCounter1->countRecords1('FD_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['FD_C15'] = $recordCounter1->countRecords1('FD_C15', array(1,2,3));
    $data['FD_C16'] = $recordCounter3->countRecords3('FD_C16', range(1,9));
    $data['FD_C17'] = $recordCounter1->countRecords1('FD_C17', range(1,3));
    $data['FD_C18'] = $recordCounter1->countRecords1('FD_C18', array(1,2,3,4,98,99));
    $data['FD_C19'] = $recordCounter2->countRecords2('FD_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['FD_C20'] = $recordCounter1->countRecords1('FD_C20', array(1,2,3));

    $data['S13_6'] = $recordCounter1->countRecords1('S13_6', array(1,2,3,4,5,6,7));

}

else

{
    $trendsValue = [1,2,3,4,90,91];

    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$forzencondX,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$forzencondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$forzencondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);

    $data['FD_C0'] = $recordCounter4->countRecords4('FD_C0', range(1,2));
    $data['FD_C2'] = $recordCounter1->countRecords1('FD_C2', array(1,2,3,4,5,6,98));
    $data['FD_C3'] = $recordCounter1->countRecords1('FD_C3', array(1,2,3,4,5,6,98));
    $data['FD_C4a'] = $recordCounter1->countRecords1('FD_C4a', array(1,2,3,99));
    $data['FD_C6'] = $recordCounter1->countRecords1('FD_C6', array(1,2,3,4,5,98,99));
    $data['FD_C7'] = $recordCounter1->countRecords1('FD_C7', range(1,2));
    $data['FD_C8'] = $recordCounter1->countRecords1('FD_C8', array(1,2,3,4,5,99));
    $data['FD_C9'] = $recordCounter1->countRecords1('FD_C9', array(1,2,3,4,5,6,7,59));
    $data['FD_C10'] = $recordCounter1->countRecords1('FD_C10', array(1,2,3,4,98));
    $data['FD_C11'] = $recordCounter2->countRecords2('FD_C11', range(1,7));
    $data['FD_C12'] = $recordCounter1->countRecords1('FD_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['FD_C15'] = $recordCounter1->countRecords1('FD_C15', array(1,2,3));
    $data['FD_C16'] = $recordCounter3->countRecords3('FD_C16', range(1,9));
    $data['FD_C17'] = $recordCounter1->countRecords1('FD_C17', range(1,3));
    $data['FD_C18'] = $recordCounter1->countRecords1('FD_C18', array(1,2,3,4,98,99));
    $data['FD_C19'] = $recordCounter2->countRecords2('FD_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['FD_C20'] = $recordCounter1->countRecords1('FD_C20', array(1,2,3));

    $data['S13_6'] = $recordCounter1->countRecords1('S13_6', array(1,2,3,4,5,6,7));
}


echo json_encode($data);

?>